Bug 1460630 - Review Request: copr-rpmbuild - performs COPR builds
Review Request: copr-rpmbuild - performs COPR builds
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Kadlčík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 05:25 EDT by clime
Modified: 2017-08-04 04:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 04:18:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkadlcik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description clime 2017-06-12 05:25:43 EDT
Spec URL: http://clime.cz/copr-rpmbuild.spec

SRPM URL: http://clime.cz/copr-rpmbuild-0.2-1.git.18.e25d2a5.fc25.src.rpm

Description: Provides command capable of running COPR build-task definitions.

Fedora Account System Username: clime
Comment 1 Antonio Trande 2017-06-17 05:38:56 EDT
Latest release looks be the 0.3:
https://pagure.io/copr/copr/blob/66559cf72bdfc2e7e9b44bf06e1ffc3922c221e6/f/rpmbuild/copr-rpmbuild.spec

I guess it's useful using the 'Snapshot Versioning' method in this case:

YYYYMMDD<scm><revision>

http://fedoraproject.org/wiki/Packaging:Versioning#Snapshots
Comment 2 Jakub Kadlčík 2017-06-18 17:10:07 EDT
> Version: 0.2

As noted in previous comment, there is already a 0.3 version


> Summary: Run COPR build tasks
> Name: copr-rpmbuild

It is not wrong or forbidden but can we swap the lines, so Name is first?


> install -d %{buildroot}%{_sysconfdir}/copr-rpmbuild
> install -d %{buildroot}%{_sharedstatedir}/copr-rpmbuild
> install -d %{buildroot}%{_sharedstatedir}/copr-rpmbuild/results

There are lot of lines like this. Maybe it would be better to use %{name} instead of typing the copr-rpmbuild over and over again?


> copr-rpmbuild.noarch: W: no-url-tag

Please add `Url:` tag with link to upstream URL


> copr-rpmbuild.noarch: E: wrong-script-interpreter /usr/bin/copr-rpmbuild /usr/bin/env perl

AFAIK we should not use /usr/bin/env, but rather use e.g. /usr/bin/perl


> %description
> Provides command capable of running COPR build-task definitions.

Don't consider it as necessary, but I would like to see more information. I've heard about this package on meetings and yet I hardly know what exactly it does. I can imagine that people with no previous knowledge will not understand it from such description either.
Comment 3 clime 2017-06-19 06:23:02 EDT
Hello, here are changes according to review:

Spec URL: http://clime.cz/copr-rpmbuild.spec

SRPM URL: http://clime.cz/copr-rpmbuild-0.3-1.git.10.376b27c.fc25.src.rpm

I preferred to use name 'copr-rpmbuild' explicitly in the end. Hope, it's ok.
Comment 4 Jakub Kadlčík 2017-06-19 12:20:09 EDT
> I preferred to use name 'copr-rpmbuild' explicitly in the end. Hope, it's ok.

Sure, I have not problem with this. It was just a suggestion


> * Wed Jun 14 2017 clime <clime@redhat.com> 0.3-1
> copr-rpmbuild.noarch: W: incoherent-version-in-changelog 0.3-1 ['0.3-1.git.10.376b27c.fc27', '0.3-1.git.10.376b27c']

Since the release is not just 1, I believe that in changelog there should be

* Wed Jun 14 2017 clime <clime@redhat.com> 0.3-1.git.10.376b27c
Comment 5 clime 2017-06-20 04:49:40 EDT
(In reply to Jakub Kadlčík from comment #4)
> > I preferred to use name 'copr-rpmbuild' explicitly in the end. Hope, it's ok.
> 
> Sure, I have not problem with this. It was just a suggestion
> 
> 
> > * Wed Jun 14 2017 clime <clime@redhat.com> 0.3-1
> > copr-rpmbuild.noarch: W: incoherent-version-in-changelog 0.3-1 ['0.3-1.git.10.376b27c.fc27', '0.3-1.git.10.376b27c']
> 
> Since the release is not just 1, I believe that in changelog there should be
> 
> * Wed Jun 14 2017 clime <clime@redhat.com> 0.3-1.git.10.376b27c

Well, I use the change log lines only when releasing (tagging the package). I don't update changelog for intermediate revisions. I can provide here a tagged version when it's ready, however. That version will have changelog in sync with actual release of the package.
Comment 6 Jakub Kadlčík 2017-06-21 17:31:04 EDT
> [ ]: Package requires other packages for directories it uses.
>      Note: No known owner of /etc/copr-rpmbuild
> [ ]: Package must own all directories that it creates.
>      Note: Directories without known owners: /etc/copr-rpmbuild

This can be fixed by adding 

%{_sysconfdir}/copr-rpmbuild/

to the %files section.

But otherwise LGTM. Does anyone else see any issues or can proceed to the next steps of the review process?
Comment 7 clime 2017-06-23 10:03:50 EDT
Here is the latest version with the fix:

Spec URL: http://clime.cz/copr-rpmbuild.spec
SRPM URL: http://clime.cz/copr-rpmbuild-0.4-1.fc25.src.rpm
Comment 8 Neal Gompa 2017-06-23 22:28:16 EDT
Is there a reason you're not using the perl() Provides for the Requires of Perl modules? Those are preferred over using the Perl module package names, given the propensity for modules to move around...
Comment 9 clime 2017-06-27 08:42:44 EDT
(In reply to Neal Gompa from comment #8)
> Is there a reason you're not using the perl() Provides for the Requires of
> Perl modules? Those are preferred over using the Perl module package names,
> given the propensity for modules to move around...

Thanks. Fixed here:

Spec URL: http://clime.cz/copr-rpmbuild.spec
SRPM URL: http://clime.cz/copr-rpmbuild-0.5-1.fc25.src.rpm

Hopefully, you won't hit browser cache as I just did.
Comment 10 Jakub Kadlčík 2017-06-27 09:17:55 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
Comment 11 Gwyn Ciesla 2017-07-04 17:25:40 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/copr-rpmbuild
Comment 12 clime 2017-08-04 04:18:21 EDT
Package has been released into Fedora https://bodhi.fedoraproject.org/updates/?packages=copr-rpmbuild.

Note You need to log in before you can comment on or make changes to this bug.